echo off
rem -----------------------------------------------------------------------
rem USBBSDoor passes these parameters to SEND.BAT-
rem %1 = connect baud rate
rem %2 = com or fossil port
rem %3 = file name to send
rem %4 = protocol choice (letter)
rem %5 = base address for com ports other than 1 or 2 (DSZ portx option).
rem %6 = IRQ for com ports other than 1 or 2 (DSZ portx option).
rem %7 = locked DTE baud rate
rem -----------------------------------------------------------------------
rem  If using non-standard COM ports (COM ports other than 1 or 2), replace
rem  port %2 in each line below with portx %5,%6 (note comma between %5,%6).
rem -----------------------------------------------------------------------
rem  If you wish to use the GSZ (graphical equivalent to DSZ) protocol,
rem  simply replace each occurrence of DSZ below with GSZ and refer to the
rem  USBBSDOR.DOC for configuring PROTOCOL.DAT.  Also place the following
rem  SET command in your BBS batch file:  SET GSZWINDOW=21
rem -----------------------------------------------------------------------
rem  Note the difference in parameters %1 and %7.  %7 should be used when
rem  the locked baud info is needed, typically with FOSSIL protocols.
rem -----------------------------------------------------------------------
if "%4" == "Z" goto :Zmodem
goto :end

:Zmodem
DSZ port %2 pB4096 sz -m %3

:end
